--- old/usr/src/uts/common/fs/fem.c	2014-07-28 07:43:44.499855377 -0400
+++ new/usr/src/uts/common/fs/fem.c	2014-07-28 07:43:44.505463709 -0400
@@ -2872,7 +2872,7 @@
 	head = kmem_alloc(sizeof (*head), KM_SLEEP);
 	mutex_init(&head->femh_lock, NULL, MUTEX_DEFAULT, NULL);
 	head->femh_list = NULL;
-	if (casptr(hp, NULL, head) != NULL) {
+	if (atomic_cas_ptr(hp, NULL, head) != NULL) {
 		kmem_free(head, sizeof (*head));
 		head = *hp;
 	}
@@ -3365,7 +3365,7 @@
 			}
 			fem_unlock(v->v_femhead);
 		}
-	} while (casptr(&v->v_op, r, newops) != r);
+	} while (atomic_cas_ptr(&v->v_op, r, newops) != r);
 }
 
 vnodeops_t *
@@ -3508,7 +3508,7 @@
 			}
 			fem_unlock(v->vfs_femhead);
 		}
-	} while (casptr(&v->vfs_op, r, newops) != r);
+	} while (atomic_cas_ptr(&v->vfs_op, r, newops) != r);
 }
 
 vfsops_t *
